> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noxus.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Knowledge Base Documents

> Get all documents by ingestion status



## OpenAPI

````yaml get /v1/knowledge-bases/{knowledge_base_id}/documents/{status}
openapi: 3.1.0
info:
  title: Noxus Backend
  description: >-
    Backend API for the Noxus Platform. More information can be found at
    https://docs.noxus.ai
  version: 1.1.0
servers: []
security: []
paths:
  /v1/knowledge-bases/{knowledge_base_id}/documents/{status}:
    get:
      tags:
        - V1 - Knowledge Bases
      summary: Get Knowledge Base Documents
      operationId: get_knowledge_base_documents
      parameters:
        - name: knowledge_base_id
          in: path
          required: true
          schema:
            type: string
            title: Knowledge Base Id
        - name: status
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/DocumentStatus'
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            description: Page number
            default: 1
            title: Page
          description: Page number
        - name: size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            description: Page size
            default: 50
            title: Size
          description: Page size
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Page_KnowledgeBaseDocument_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    DocumentStatus:
      type: string
      enum:
        - trained
        - training
        - error
        - uploaded
        - folder
      title: DocumentStatus
    Page_KnowledgeBaseDocument_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/KnowledgeBaseDocument'
          type: array
          title: Items
        total:
          type: integer
          minimum: 0
          title: Total
        page:
          type: integer
          minimum: 1
          title: Page
        size:
          type: integer
          minimum: 1
          title: Size
        pages:
          type: integer
          minimum: 0
          title: Pages
      type: object
      required:
        - items
        - total
        - page
        - size
        - pages
      title: Page[KnowledgeBaseDocument]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    KnowledgeBaseDocument:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        summary:
          anyOf:
            - type: string
            - type: 'null'
          title: Summary
        short_summary:
          anyOf:
            - type: string
            - type: 'null'
          title: Short Summary
        doc_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Doc Type
        source_type:
          anyOf:
            - $ref: '#/components/schemas/SourceType'
            - type: 'null'
        source_metadata:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Source Metadata
        content_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Content Type
        has_conversion:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Has Conversion
        status:
          $ref: '#/components/schemas/DocumentStatus'
        doc_metadata:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Doc Metadata
        error:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Error
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        prefix:
          anyOf:
            - type: string
            - type: 'null'
          title: Prefix
        uri:
          anyOf:
            - type: string
            - type: 'null'
          title: Uri
        updated_at:
          type: string
          format: date-time
          title: Updated At
        created_at:
          type: string
          format: date-time
          title: Created At
        size:
          type: integer
          title: Size
        file_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: File Id
        run_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Run Id
        dismissed:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Dismissed
        warnings:
          anyOf:
            - items: {}
              type: array
            - type: 'null'
          title: Warnings
        needs_reingestion:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Needs Reingestion
      type: object
      required:
        - id
        - summary
        - status
        - error
        - updated_at
        - created_at
        - size
      title: KnowledgeBaseDocument
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    SourceType:
      type: string
      enum:
        - Document
        - Google Drive
        - Notion
        - Website
        - OneDrive
        - Slack
        - Linear
        - Github
        - Teams
        - Sharepoint
        - ServiceNow
        - Custom
      title: SourceType
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````